Merge remote-tracking branch 'origin/collectd-5.8'
[collectd.git] / build.sh
index 3822c2b..bd4c1a3 100755 (executable)
--- a/build.sh
+++ b/build.sh
@@ -1,54 +1,51 @@
-#! /bin/sh
+#!/bin/sh
 
 GLOBAL_ERROR_INDICATOR=0
 
-check_for_application ()
+check_for_application()
 {
-       for PROG in "$@"
-       do
-               if ! which "$PROG" >/dev/null 2>&1; then
-                       cat >&2 <<EOF
+    for PROG in "$@"
+    do
+        which "$PROG" >/dev/null 2>&1
+        if test $? -ne 0; then
+            cat >&2 <<EOF
 WARNING: \`$PROG' not found!
     Please make sure that \`$PROG' is installed and is in one of the
     directories listed in the PATH environment variable.
 EOF
-                       GLOBAL_ERROR_INDICATOR=1
-               fi
-       done
+            GLOBAL_ERROR_INDICATOR=1
+        fi
+    done
 }
 
-check_for_application lex yacc autoheader aclocal automake autoconf
-
-# Actually we don't need the pkg-config executable, but we need the M4 macros.
-# We check for `pkg-config' here and hope that M4 macros will then be
-# available, too.
-check_for_application pkg-config
+check_for_application lex bison autoheader aclocal automake autoconf pkg-config
 
 libtoolize=""
-if which libtoolize >/dev/null 2>&1
-then
-       libtoolize=libtoolize
-else if which glibtoolize >/dev/null 2>&1
-then
-       libtoolize=glibtoolize
+libtoolize --version >/dev/null 2>/dev/null
+if test $? -eq 0; then
+    libtoolize=libtoolize
 else
-       cat >&2 <<EOF
+    glibtoolize --version >/dev/null 2>/dev/null
+    if test $? -eq 0; then
+        libtoolize=glibtoolize
+    else
+        cat >&2 <<EOF
 WARNING: Neither \`libtoolize' nor \`glibtoolize' have been found!
     Please make sure that one of them is installed and is in one of the
     directories listed in the PATH environment variable.
 EOF
-       GLOBAL_ERROR_INDICATOR=1
-fi; fi
+        GLOBAL_ERROR_INDICATOR=1
+    fi
+ fi
 
-if test "$GLOBAL_ERROR_INDICATOR" != "0"
-then
-       exit 1
+if test "$GLOBAL_ERROR_INDICATOR" != "0"; then
+    exit 1
 fi
 
 set -x
 
 autoheader \
-&& aclocal \
-&& $libtoolize --ltdl --copy --force \
+&& aclocal -I m4 \
+&& $libtoolize --copy --force \
 && automake --add-missing --copy \
 && autoconf